Create a Multi-application card
This operation will create a credit or prepaid card media connected to given customer. An account id needs to be provided as well so we know to which account the card should be connected to.
curl --request POST \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/card/v1/MULTI_APPLICATION_CARD/customer/{customerId}' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"mainApplication": {
"applicationName": "APPLICATION",
"enabled": true,
"contactPriorityLevel": 128,
"contactlessPriorityLevel": 128,
"accountId": "1234567890",
"productCode": "MC_CARD_2, VISA_CARD1, VISA_VIRTUAL_3, MC_VIRTUAL_2, VISA_CARD",
"additionalValues": [
{
"key": "<string>",
"value": "<string>"
}
],
"printed": true,
"digitalLayoutCode": "abc123abc"
},
"applications": [
{
"applicationName": "APPLICATION",
"enabled": true,
"contactPriorityLevel": 128,
"contactlessPriorityLevel": 128,
"accountId": "1234567890",
"productCode": "MC_CARD_2, VISA_CARD1, VISA_VIRTUAL_3, MC_VIRTUAL_2, VISA_CARD",
"additionalValues": [
{
"key": "<string>",
"value": "<string>"
}
],
"printed": true,
"digitalLayoutCode": "abc123abc",
"encryptedData": "<string>"
}
],
"embossing": {
"additionalField1": "<string>",
"additionalField2": "<string>",
"additionalField3": "<string>",
"additionalField4": "<string>",
"additionalField5": "<string>",
"companyName": "Enfuce Financial Services",
"externalLayoutCode": "BlueCard",
"firstName": "Monica",
"lastName": "Liikamaa",
"additionalEmbossingName": "Card User Name",
"manufacturer": "FACTORY_X",
"physical": true
},
"expiration": {
"year": 2019,
"month": 1
}
}
'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/card/v1/MULTI_APPLICATION_CARD/customer/{customerId}"
payload = {
"mainApplication": {
"applicationName": "APPLICATION",
"enabled": True,
"contactPriorityLevel": 128,
"contactlessPriorityLevel": 128,
"accountId": "1234567890",
"productCode": "MC_CARD_2, VISA_CARD1, VISA_VIRTUAL_3, MC_VIRTUAL_2, VISA_CARD",
"additionalValues": [
{
"key": "<string>",
"value": "<string>"
}
],
"printed": True,
"digitalLayoutCode": "abc123abc"
},
"applications": [
{
"applicationName": "APPLICATION",
"enabled": True,
"contactPriorityLevel": 128,
"contactlessPriorityLevel": 128,
"accountId": "1234567890",
"productCode": "MC_CARD_2, VISA_CARD1, VISA_VIRTUAL_3, MC_VIRTUAL_2, VISA_CARD",
"additionalValues": [
{
"key": "<string>",
"value": "<string>"
}
],
"printed": True,
"digitalLayoutCode": "abc123abc",
"encryptedData": "<string>"
}
],
"embossing": {
"additionalField1": "<string>",
"additionalField2": "<string>",
"additionalField3": "<string>",
"additionalField4": "<string>",
"additionalField5": "<string>",
"companyName": "Enfuce Financial Services",
"externalLayoutCode": "BlueCard",
"firstName": "Monica",
"lastName": "Liikamaa",
"additionalEmbossingName": "Card User Name",
"manufacturer": "FACTORY_X",
"physical": True
},
"expiration": {
"year": 2019,
"month": 1
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mainApplication: {
applicationName: 'APPLICATION',
enabled: true,
contactPriorityLevel: 128,
contactlessPriorityLevel: 128,
accountId: '1234567890',
productCode: 'MC_CARD_2, VISA_CARD1, VISA_VIRTUAL_3, MC_VIRTUAL_2, VISA_CARD',
additionalValues: [{key: '<string>', value: '<string>'}],
printed: true,
digitalLayoutCode: 'abc123abc'
},
applications: [
{
applicationName: 'APPLICATION',
enabled: true,
contactPriorityLevel: 128,
contactlessPriorityLevel: 128,
accountId: '1234567890',
productCode: 'MC_CARD_2, VISA_CARD1, VISA_VIRTUAL_3, MC_VIRTUAL_2, VISA_CARD',
additionalValues: [{key: '<string>', value: '<string>'}],
printed: true,
digitalLayoutCode: 'abc123abc',
encryptedData: '<string>'
}
],
embossing: {
additionalField1: '<string>',
additionalField2: '<string>',
additionalField3: '<string>',
additionalField4: '<string>',
additionalField5: '<string>',
companyName: 'Enfuce Financial Services',
externalLayoutCode: 'BlueCard',
firstName: 'Monica',
lastName: 'Liikamaa',
additionalEmbossingName: 'Card User Name',
manufacturer: 'FACTORY_X',
physical: true
},
expiration: {year: 2019, month: 1}
})
};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/card/v1/MULTI_APPLICATION_CARD/customer/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mainId": "<string>",
"applications": [
{
"id": "<string>",
"accountId": "<string>"
}
],
"description": "<string>"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The customer id of which customer you want to create the card on
Query Parameters
The audit user to log the request
Body
The fields that you want to apply to your newly created card, these values will override the predefined template values
Show child attributes
Show child attributes
1Show child attributes
Show child attributes
Address used to deliver card
Show child attributes
Show child attributes
Default set of allowed characters for fields embossed onto the card:
A-Z, a-z, Áá, Ää, Åå, Ææ, Éé, Íí, Ðð, Óó, Öö, Øø, Úú, Üü, Ýý, Þþ, 0-9, symbols -/.,&+' and space.
For printed cards allowed characters are: (including the above)
ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõöøùúûüý þÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹ ĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵ ŶŷŸŹźŻżŽžſǪǫȘșȚțȪȫȮȯȲȳḐḑṢṣẞỌọ
Printed or others characters sets must be agreed in advance.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Field enables to group an entity into a segment. This field will be exported but no logic is applied to this in Enfuce API
SEGMENT_A, SEGMENT_B, SEGMENT_C, SEGMENT_D, SEGMENT_E, SEGMENT_F Address used to deliver pin
Show child attributes
Show child attributes
This flag will indicate current status for PIN generation. If not specified system will automatically assign D as default and make sure a PIN is calculated during next embossing process. If set to W, then card will be excluded from embossing process until a PIN has been set and status has been updated to S. It is also possible to revert to D, in order for system to generate PIN. Note that system will update to status S automatically when a PIN is set successfully.
New card
In order for a new card to not get a system generated PIN then pinStatus flag must be set to W when created, this will then halt the embossing process for given card until a PIN has been set.
Reissue card
When reissuing a card it is possible to set pinStatus to W in order to hold embossing process for given card until a PIN has been set. Update pinStatus is done on same card id that is reissued.
Replace card
When replacing a card it is possible to set pinStatus to W in order to hold embossing process for given card until a PIN has been set. Update pinStatus is done on new card id that is returned when replacing.
- D - default and a random PIN will be generated
- W - waiting for PIN to be manually set
- S - PIN has been set successfully
D, W, S Response
Successful creation of the product
Was this page helpful?

